Update uptime settings
- Base URL
-
https://{kibana_url}
- PUT /api/uptime/settings
Update uptime setting attributes like heartbeatIndices, certExpirationThreshold, certAgeThreshold, defaultConnectors, or defaultEmail. You must have all privileges for the uptime feature in the Observability section of the Kibana feature privileges. A partial update is supported, provided settings keys will be merged with existing settings.
Request body
-
certAgeThresholdnumber · default: 730 -
The number of days after a certificate is created to trigger an alert.
-
certExpirationThresholdnumber · default: 30 -
The number of days before a certificate expires to trigger an alert.
-
defaultConnectorsstring · default: [] -
A list of connector IDs to be used as default connectors for new alerts.
Response
Indicates a successful call
Response Type: object